/*
 * Derived from Epic Fight (https://github.com/Epic-Fight/epicfight)
 * by the Epic Fight Team, licensed under GPLv3.
 * Modifications © 2026 TiedUp! Remake Contributors, distributed under GPLv3.
 */

package com.tiedup.remake.rig.anim;

import com.tiedup.remake.rig.util.ExtendableEnum;
import com.tiedup.remake.rig.util.ExtendableEnumManager;

public interface LivingMotion extends ExtendableEnum {
	ExtendableEnumManager<LivingMotion> ENUM_MANAGER = new ExtendableEnumManager<> ("living_motion");
	
	default boolean isSame(LivingMotion livingMotion) {
		if (this == LivingMotions.IDLE && livingMotion == LivingMotions.INACTION) {
			return true;
		} else if (this == LivingMotions.INACTION && livingMotion == LivingMotions.IDLE) {
			return true;
		}
		
		return this == livingMotion;
	}
}
